Description

If we store the min and the max values for raster data in the project file, shouldn't this speed up loading?

History

#1 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2015-12-13 02:10 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

in QGIS 2.13 master, when I save a raster, it seems that min/max values are stored in the project file like this:

 <contrastEnhancement>

            <minValue>0.0029597</minValue>

            <maxValue>52.835</maxValue>

            <algorithm>StretchToMinimumMaximum</algorithm>

 </contrastEnhancement>

Those values can be changed manually (in the raster properties) but it seems that they are used by QGIS on raster loading.

Do you think we can close this bug or is there anything else to store ?

#3 - 2016-01-15 01:48 PM - Médéric RIBREUX

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Hello, bug triage...

I am closing this feature request for lack of feedback and because it seems to be implemented at least in QGIS master.

Feel free to reopen it if I have missed something !
